<template>
    <nav class="flex" aria-label="Breadcrumb">
        <ol class="inline-flex items-center space-x-1 md:space-x-3 text-[14px]">
            <dv v-for="(item, i) in items" :key="i">
                <li class="inline-flex items-center" v-if="i < (items.length - 1)">
                    <router-link :to="item?.path" class="inline-flex items-center text-sm font-bold text-primary  ">
                        {{ item?.name }}
                    </router-link>
                </li>
                <li aria-current="page" v-else>
                    <div class="flex items-center">
                        <span>/</span>
                        <span class="ml-2 text-sm font-bold text-primary-70 md:ml-2 ">{{ item?.name }}</span>
                    </div>
                </li>
            </dv>

        </ol>
    </nav>
</template>

<script>
export default {
    name: "VBreadcrumb",
    props: {
        items: {
            type: Array,
            default: () => []
        }
    }
}
</script>
